org.apache.sysds.runtime.compress.colgroup.mapping

## Class MapToFactory

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.mapping.MapToFactory

-     public final class MapToFactory
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MapToFactory.MAP_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapToFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AMapToData` | `create(ABitmap map)`
    `static AMapToData` | `create(int size, ABitmap map)`
    `static AMapToData` | `create(int size, boolean zeros, IntArrayList[] values)`
    `static AMapToData` | `create(int size, int numTuples)`
    `static long` | `estimateInMemorySize(int size, int numTuples)`
    `static AMapToData` | `join(AMapToData left, AMapToData right)`
    `static AMapToData` | `readIn(DataInput in)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapToFactory

          public MapToFactory()

  - ### Method Detail

    - #### create

          public static AMapToData create(ABitmap map)

    - #### create

          public static AMapToData create(int size,
                                          ABitmap map)

    - #### create

          public static AMapToData create(int size,
                                          boolean zeros,
                                          IntArrayList[] values)

    - #### create

          public static AMapToData create(int size,
                                          int numTuples)

    - #### estimateInMemorySize

          public static long estimateInMemorySize(int size,
                                                  int numTuples)

    - #### readIn

          public static AMapToData readIn(DataInput in)
                                   throws IOException

      Throws:
        `IOException`

    - #### join

          public static AMapToData join(AMapToData left,
                                        AMapToData right)

Copyright © 2021 The Apache Software Foundation. All rights reserved.